softwre dont support old blackberry

hello sory but sadly softwre is bad in old blackberry for flash like 8250 9300 and other flash succeful but no language and no application when we fix error no arabic